require 'rails_helper'

RSpec.describe ArticlesController, :type => :controller do
  describe "GET 'index'" do
    before do
      @article1 = Article.create(
        title: "Article 1",
        body: "Hello"
      )
      @article2 = Article.create(
        title: "Article 2",
        body: "Hello"
      )

      get 'index'
    end

    it "returns http success" do
      expect(response).to be_success
    end

    it "登録されている記事を全て返すこと" do
      expect(assigns[:articles]).to match_array(
        [@article1, @article2]
      )
    end
  end
end
