require 'rails_helper'

describe Article, :type => :model do
  context "titleとbodyを指定した場合" do
    before do
      @article = Article.new(title: '初めてのブログ', body: '最初の記事です。')
    end

    it "titleがセットされていること" do
      expect(@article.title).to eq "初めてのブログ"
    end

    it "bodyがセットされていること" do
      expect(@article.body).to eq "最初の記事です。"
    end
  end

  context "titleが設定されていない場合" do
    before do
      @article = Article.new
    end

    it { expect(@article).to_not be_valid }
  end

  context "titleが設定されている場合" do
    before do
      @article = Article.new(title: "初めてのブログ")
    end

    it { expect(@article).to be_valid }
  end
end
